// Defaults.h
//
// default page contents etc.

#define STD_FOOTER		" - EditPage (last updated on [$PageDate] at [$PageTime])\n - FindPage\n"

#define STD_SYSFOOTER	" - FindPage\n"

#define STD_HTML	"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"\
					"<html>\n"\
					"<head><title>$$TITLE$$</title></head>\n"\
					"<body>\n"\
					"<h1><a href=\"/$$DEFPAGE$$\"><img src=\"Icon.jpg\" alt=\"Home\"></a> $$HEADING$$</h1>\n"\
					"$$BODY$$\n"\
					"<hr>\n"\
					"$$FOOTER$$\n"\
					"</body>\n"\
					"</html>\n"

#define STD_CONFIG		"; Root Page - this is the page that the Wiki opens on when\n"\
						"; a user first opens the site\n"\
						"\n"\
						"Root Page=StartPage\n"\
						"\n"\
						"; Default Page - this is the page that the teddy links to\n"\
						"; ($$DEFPAGE$$ in the HTML template)\n"\
						"\n"\
						"Default Page=StartPage\n"\
						"\n"\
						"; Content Type - this is the string sent in HTTP headers\n"\
						"; you probably don't want to change this\n"\
						"\n"\
						"Content Type=text/html; charset=ISO-8859-1\n"


#define STD_INTERWIKI	"; for each InterWiki link, add lines like\n"\
						"; <shortcut>=<root URL>\n"\
						"; e.g. c2=http://www.c2.com/cgi-bin/wiki?\n"\
						"; makes c2:PageName -> http://www.c2.com/cgi-bin/wiki?PageName\n"\
						"\n"\
						"c2=http://www.c2.com/cgi-bin/wiki?\n"

#define STD_LOCKPAGES	"; to lock a page so only admins can edit it, enter\n"\
						"; the page and then an = sign\n"\
						"; e.g. WikiFooter=\n"\
						"\n"\
						"WikiFooter=\n"\
						"WikiSystemFooter=\n"

#define STD_MIMETYPES	"; for each new MIME type add a line like\n"\
						"; <file extension>=<MIME type>\n"\
						"; e.g gif=image/gif\n"\
						"\n"\
						"gif=image/gif\n"\
						"jpg=image/jpeg\n"\
						"jpeg=image/jpeg\n"\
						"html=text/html\n"\
						"htm=text/html\n"\
						"css=text/css\n"\
						"txt=text/plain\n"

#define STD_USERS		"; for each user add a line like\n"\
						"; <user>:<password>=<permissions> -or-\n"\
						"; <user>:<password>=<permissions>:<homepage>\n"\
						"; e.g. admin:password=rwa\n"\
						"; or eddie:teddy=rw:EddieEdwards\n"\
						"; if <user> and <password> are both BLANK you\n"\
						"; are setting the anonymous user's settings\n"\
						"; if <homepage> is blank then DefaultPage from\n"\
						"; the config file is used instead\n"\
						"\n"\
						":=rw\n"\
						"admin:password=rwa\n"
