// tempfile.h
//
// temporary file

class TempFile
{
public:
	TempFile(const char* tag);
	~TempFile();

	FILE*	Open(const char* perm);
	void	Close();

	void	Delete();

	void	CloneExistingFile(const char* filename);

private:
	char*	mTag;
	FILE*	mFD;
	char*	mCloneFile;
	bool	mCleanUp;

	void	GetName(char* fn);
};
